Loading...
Searching...
No Matches
openshot::OpenShotVersion Struct Reference

This struct holds version number information. Use the GetVersion() method to access the current version of libopenshot. More...

`#include </build/libopenshot-zkhgdO/libopenshot-0.3.3+dfsg1/debian/build/src/OpenShotVersion.h>`

## Static Public Member Functions

static const std::string | ToString ()
| Shared Object Number (incremented when API or ABI changes)

## Static Public Attributes

static const int | Build = OPENSHOT_VERSION_BUILD
| Minor version number.
static const int | Major = OPENSHOT_VERSION_MAJOR
static const int | Minor = OPENSHOT_VERSION_MINOR
| Major version number.
static const int | So = OPENSHOT_VERSION_SO
| Build number.

## Detailed Description

This struct holds version number information. Use the GetVersion() method to access the current version of libopenshot.

Definition at line 43 of file OpenShotVersion.h.

## Member Function Documentation

## ToString()

static const std::string openshot::OpenShotVersion::ToString | ( |  | ) |

inline static

Shared Object Number (incremented when API or ABI changes)

Get a string version of the version (i.e. "Major.Minor.Build")

Definition at line 50 of file OpenShotVersion.h.

## Member Data Documentation

## Build

const int openshot::OpenShotVersion::Build = OPENSHOT_VERSION_BUILD

static

Minor version number.

Definition at line 46 of file OpenShotVersion.h.

Referenced by ToString().

## Major

const int openshot::OpenShotVersion::Major = OPENSHOT_VERSION_MAJOR

static

Definition at line 44 of file OpenShotVersion.h.

Referenced by ToString().

## Minor

const int openshot::OpenShotVersion::Minor = OPENSHOT_VERSION_MINOR

static

Major version number.

Definition at line 45 of file OpenShotVersion.h.

Referenced by ToString().

## So

const int openshot::OpenShotVersion::So = OPENSHOT_VERSION_SO

static

Build number.

Definition at line 47 of file OpenShotVersion.h.

The documentation for this struct was generated from the following file:

- /build/libopenshot-zkhgdO/libopenshot-0.3.3+dfsg1/debian/build/src/OpenShotVersion.h